Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.resource.spi
Class UnavailableException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              javax.resource.ResourceException
                  javax.resource.spi.UnavailableException

All Implemented Interfaces:
  Serializable

public class UnavailableException
extends ResourceException

Thrown when a service is unavailable

See Also:
  Serialized Form

Constructor Summary
`UnavailableException()` Create an unavailable exception.
`UnavailableException(String reason)` Create an unavailable exception with a reason.
`UnavailableException(String reason, String errorCode)` Create an unavailable exception with a reason and an errorCode.
`UnavailableException(String reason, Throwable throwable)` Create an unavailable exception with a reason and an error.
`UnavailableException(Throwable throwable)` Create an unavailable exception with an error.

Methods inherited from class javax.resource.ResourceException
`getErrorCode, getLinkedException, setErrorCode, setLinkedException`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UnavailableException

    public UnavailableException()

  Create an unavailable exception.

### UnavailableException

    public UnavailableException(String reason)

  Create an unavailable exception with a reason.

Parameters:
  `reason` - the reason

### UnavailableException

    public UnavailableException(String reason,
                                String errorCode)

  Create an unavailable exception with a reason and an errorCode.

Parameters:
  `reason` - the reason
  `errorCode` - the error code

### UnavailableException

    public UnavailableException(String reason,
                                Throwable throwable)

  Create an unavailable exception with a reason and an error.

Parameters:
  `reason` - the reason
  `throwable` - the error

### UnavailableException

    public UnavailableException(Throwable throwable)

  Create an unavailable exception with an error.

Parameters:
  `throwable` - the error

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.